import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('caution', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M24 5L2 43H46L24 5Z",
    fill: props.colors[1],
    stroke: props.colors[0],
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M24 35V36",
    stroke: props.colors[2],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M24 19.0005L24.0083 29",
    stroke: props.colors[2],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth
  }));
});