import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('editor', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("path", {
    stroke: props.colors[0],
    d: "M40 33v9a2 2 0 0 1-2 2h-6.5M40 16V6a2 2 0 0 0-2-2H10a2 2 0 0 0-2 2v36a2 2 0 0 0 2 2h6",
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    stroke: props.colors[0],
    d: "M16 16h14M23 44l17-21M16 24h8",
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth
  }));
});