import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('email-delect', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M44 24V9H24H4V24V39H24",
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4 9L24 24L44 9",
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M32 31H42L40 41H34L32 31Z",
    fill: props.colors[1],
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M36 31L38 27",
    stroke: props.colors[2],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }));
});