import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('format', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("rect", {
    x: "8",
    y: "24",
    width: "32",
    height: "18",
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4 13H18V6H30V13H44V24H4V13Z",
    fill: props.colors[1],
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16 32L16 42",
    stroke: props.colors[2],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth
  }));
});