import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('off-screen', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("path", {
    stroke: props.colors[0],
    d: "M33 6v9h9M15 6v9H6M15 42v-9H6M33 42v-9h8.9",
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }));
});