import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('right-user', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: "24",
    cy: "12",
    r: "8",
    fill: props.colors[1],
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M42 44C42 34.0589 33.9411 26 24 26C14.0589 26 6 34.0589 6 44",
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    d: "M30 36L22 44L18 40",
    stroke: props.colors[0],
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }));
});