import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('scan-code', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("path", {
    stroke: props.colors[0],
    d: "M6 15V6h9M15 42H6v-9M42 33v9h-9M33 6h9v9M10 24h28",
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }));
});