import React from 'react';
import { SvgIconWrapper } from '../components';
export default SvgIconWrapper('page', false, function (props) {
  return /*#__PURE__*/React.createElement("svg", {
    width: props.size,
    height: props.size,
    viewBox: "0 0 48 48",
    fill: "none"
  }, /*#__PURE__*/React.createElement("rect", {
    stroke: props.colors[0],
    rx: "3",
    height: "36",
    width: "36",
    y: "6",
    x: "6",
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }), /*#__PURE__*/React.createElement("path", {
    stroke: props.colors[0],
    d: "M6 17h36M17 42V17",
    strokeLinecap: props.strokeLinecap,
    strokeWidth: props.strokeWidth,
    strokeLinejoin: props.strokeLinejoin
  }));
});